petsc-3.4.2 2013-07-02

# PetscAddrAlign

Rounds up an address to PETSC_MEMALIGN alignment

### Synopsis

    #include "petscsys.h"
    void *PetscAddrAlign(void *addr)

Not Collective

### Input Parameters

addr -address to align (any pointer type)

### See Also

PetscMallocAlign()

Level:developer
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages